%define name akpi
%define version 0.3.4 
%define release 1mdk

Name: %{name}
Summary: ACPI frontend for KDE
Version: %{version}
Release: %{release}
Group: Graphical desktop/KDE
Source0: http://akpi.scmd.at/files/%{name}-%{version}.tar.bz2
Source1: %{name}-icon-16.png
Source2: %{name}-icon-32.png
Source3: %{name}-icon-48.png
Url: http://akpi.scmd.at/
BuildRoot: %{_tmppath}/%{name}-buildroot 
BuildRequires: libqt3-devel 
BuildRequires: kdelibs-devel
License: GPL

%description
aKpi provides a simple GUI frontend for acpi. It makes heavy use of the
QT library and is able to doc into your KDE panel.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q 

%build

export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

cd source

%make

%install
chmod -R o+rx .
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/apps/%{name}/pics/

cp source/akpi $RPM_BUILD_ROOT/%{_bindir}
cp source/pics/*.png $RPM_BUILD_ROOT/%{_datadir}/apps/%{name}/pics/

# menu
install %{SOURCE1} -D -m 644 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install %{SOURCE2} -D -m 644 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install %{SOURCE3} -D -m 644 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -d $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): command="akpi" \
needs="X11" section="Applications/Monitoring" title="Akpi" icon="%{name}.png" \
longtitle="A small application to monitor your battery with the ACPI"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc readme.txt
%{_bindir}/akpi
%{_datadir}/apps/%{name}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.4-1mdk
- 0.3.4
- Buildrequires: kdelibs
- fix permission on files

* Fri Nov 29 2002 Laurent Culioli <laurent@pschit.net> 0.3.3-2mdk
- really drop patch0
- from Michael Scherer <scherer.michael@free.fr> :
	-menuification

* Wed Nov 27 2002 Laurent Culioli <laurent@pschit.net> 0.3.3-1mdk
- 0.3.3

* Wed Nov 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Michael Scherer <scherer.michael@free.fr> : 
	- adapted to Mandrake Linux 9.0

* Sun Jun 23 2002 Gerald Teschl <gt@esi.ac.at> 0
- inital spec

